Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs.datatypes
Interface ObjectList

public interface ObjectList

The `ObjectList` is an immutable ordered collection of `Object`.

Version:
  $Id: ObjectList.java 447250 2006-09-18 05:27:17Z mrglavas $
Author:
  Ankit Pasricha, IBM

Method Summary
`boolean` | `contains(java.lang.Object item)` Checks if the `Object` `item` is a member of this list.
`int` | `getLength()` The number of `Object`s in the list.
`java.lang.Object` | `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.

Method Detail

### getLength

    public int getLength()

  The number of `Object`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### contains

    public boolean contains(java.lang.Object item)

  Checks if the `Object` `item` is a member of this list.
  Parameters:
    `item` - `Object` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `Object` `item`.

### item

    public java.lang.Object item(int index)

  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `Object` at the `index`th position in the `ObjectList`, or `null` if the index specified is not valid - greater than or equal to the number of items in the list or less than zero.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2007 The Apache Software Foundation. All Rights Reserved.